public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Hans de Graaff" <graaff@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-ruby/rubytest/
Date: Sat, 23 Oct 2021 06:55:13 +0000 (UTC)	[thread overview]
Message-ID: <1634970281.5183a00784a383b4a1efda11529e603420c3acf6.graaff@gentoo> (raw)

commit:     5183a00784a383b4a1efda11529e603420c3acf6
Author:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
AuthorDate: Sat Oct 23 06:24:41 2021 +0000
Commit:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
CommitDate: Sat Oct 23 06:24:41 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=5183a007

dev-ruby/rubytest: EAPI 8; add ruby30

Package-Manager: Portage-3.0.20, Repoman-3.0.3
Signed-off-by: Hans de Graaff <graaff <AT> gentoo.org>

 dev-ruby/rubytest/rubytest-0.8.1-r1.ebuild | 26 ++++++++++++++++++++++++++
 1 file changed, 26 insertions(+)

diff --git a/dev-ruby/rubytest/rubytest-0.8.1-r1.ebuild b/dev-ruby/rubytest/rubytest-0.8.1-r1.ebuild
new file mode 100644
index 00000000000..cf0c1895e2f
--- /dev/null
+++ b/dev-ruby/rubytest/rubytest-0.8.1-r1.ebuild
@@ -0,0 +1,26 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+USE_RUBY="ruby26 ruby27 ruby30"
+
+RUBY_FAKEGEM_TASK_TEST=""
+RUBY_FAKEGEM_RECIPE_DOC="yard"
+RUBY_FAKEGEM_EXTRADOC="README.md"
+
+inherit ruby-fakegem
+
+DESCRIPTION="Ruby Test is a universal test harness for Ruby"
+HOMEPAGE="https://rubyworks.github.io/rubytest/"
+
+LICENSE="BSD-2"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ppc ~ppc64 ~sparc ~x86"
+IUSE=""
+
+ruby_add_bdepend "test? ( dev-ruby/ae dev-ruby/qed )"
+ruby_add_rdepend "dev-ruby/ansi"
+
+each_ruby_test() {
+	${RUBY} -S qed || die 'tests failed'
+}


             reply	other threads:[~2021-10-23  6:55 UTC|newest]

Thread overview: 14+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2021-10-23  6:55 Hans de Graaff [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-02-12  7:42 [gentoo-commits] repo/gentoo:master commit in: dev-ruby/rubytest/ Hans de Graaff
2023-04-03  0:47 Sam James
2023-04-02  5:07 Sam James
2022-06-18  5:48 Hans de Graaff
2021-11-24  8:43 Hans de Graaff
2021-10-23  6:55 Hans de Graaff
2020-02-22 10:22 Hans de Graaff
2019-05-08 19:59 Hans de Graaff
2018-04-13  6:20 Hans de Graaff
2018-02-12  6:59 Hans de Graaff
2016-12-11 19:17 Hans de Graaff
2016-08-12  4:50 Hans de Graaff
2016-04-03 21:37 Manuel Rüger

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1634970281.5183a00784a383b4a1efda11529e603420c3acf6.graaff@gentoo \
    --to=graaff@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox